Bug 207437 - IndexedDB: iteration of cursors skip records if deleted
Summary: IndexedDB: iteration of cursors skip records if deleted
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks: 190917
  Show dependency treegraph
 
Reported: 2020-02-08 21:08 PST by Sihui Liu
Modified: 2020-02-12 13:43 PST (History)
8 users (show)

See Also:


Attachments
Patch (14.49 KB, patch)
2020-02-08 21:48 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (20.29 KB, patch)
2020-02-11 14:25 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (24.35 KB, patch)
2020-02-11 14:53 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch for landing (22.63 KB, patch)
2020-02-11 16:46 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch for landing (22.64 KB, patch)
2020-02-11 16:47 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (55.23 KB, patch)
2020-02-12 13:40 PST, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2020-02-08 21:08:32 PST
https://bugs.webkit.org/show_bug.cgi?id=190917 did not fix the issue correctly. When records with same index key are deleted before cursor comes to their position, cursor would not be able to visit them. See modified test for the issue.
Comment 1 Sihui Liu 2020-02-08 21:48:35 PST
Created attachment 390196 [details]
Patch
Comment 2 Sihui Liu 2020-02-11 14:25:53 PST
Created attachment 390424 [details]
Patch
Comment 3 Sihui Liu 2020-02-11 14:53:30 PST
Created attachment 390440 [details]
Patch
Comment 4 Brady Eidson 2020-02-11 16:27:23 PST
Comment on attachment 390440 [details]
Patch

Two copies of the ChangeLog
Comment 5 Sihui Liu 2020-02-11 16:46:11 PST
Created attachment 390465 [details]
Patch for landing
Comment 6 Sihui Liu 2020-02-11 16:47:40 PST
Created attachment 390466 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2020-02-11 17:05:53 PST
Comment on attachment 390466 [details]
Patch for landing

Clearing flags on attachment: 390466

Committed r256414: <https://trac.webkit.org/changeset/256414>
Comment 8 WebKit Commit Bot 2020-02-11 17:05:55 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2020-02-11 17:06:18 PST
<rdar://problem/59370439>
Comment 10 Sihui Liu 2020-02-12 13:40:39 PST
Reopening to attach new patch.
Comment 11 Sihui Liu 2020-02-12 13:40:40 PST
Created attachment 390552 [details]
Patch
Comment 12 Sihui Liu 2020-02-12 13:43:04 PST
Patch is associated to the wrong bug..